var gulp = require('gulp');
var initGulpTasks = require('react-component-gulp-tasks');

var pkg = JSON.parse(require('fs').readFileSync('./package.json'));

var dependencies = [];
Object.keys(pkg.dependencies).forEach(function(i) {
	if (i !== 'reactify') dependencies.push(i);
});

var taskConfig = {
	component: {
		name: 'redux-listview',
		pkgName: pkg.name,
        file: 'index.js',
		src: 'src',
        dist: 'dist',
		dependencies: dependencies
	}
};

initGulpTasks(gulp, taskConfig);