(function(f){if(typeof exports==="object"&&typeof module!=="undefined"){module.exports=f()}else if(typeof define==="function"&&define.amd){define([],f)}else{var g;if(typeof window!=="undefined"){g=window}else if(typeof global!=="undefined"){g=global}else if(typeof self!=="undefined"){g=self}else{g=this}g.reduxListview = f()}})(function(){var define,module,exports;return (function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
(function (global){
'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.bindToEndpoint = bindToEndpoint;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _react = (typeof window !== "undefined" ? window['React'] : typeof global !== "undefined" ? global['React'] : null);

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _DataSourceActionsJs = require('./DataSourceActions.js');

/**
 * This function provides simple binding to an API endpoint.
 * It also injects the "update" function into the child component's props.
 * This is how we can automate the whole data lifecycle.
 */

function bindToEndpoint(endpoint) {
    var url = arguments.length <= 1 || arguments[1] === undefined ? '' : arguments[1];

    function mapStateToProps(state) {
        return {
            data: state.dataSources[endpoint] ? state.dataSources[endpoint].data : [],
            meta: state.dataSources[endpoint] ? state.dataSources[endpoint].meta : {},
            params: state.dataSources[endpoint] ? state.dataSources[endpoint].params : {}
        };
    }

    return function (ListComponent) {
        return (0, _reactRedux.connect)(mapStateToProps)(_react2['default'].createClass({
            componentDidMount: function componentDidMount() {
                /** TODO: Find a better way to do this that doesn't require the component to mount first. */
                this.update();
            },

            update: function update() {
                var params = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

                this.props.dispatch((0, _DataSourceActionsJs.updateDataSource)(endpoint, params, url));
            },

            render: function render() {
                return _react2['default'].createElement(ListComponent, _extends({}, this.props, { update: this.update }));
            }
        }));
    };
}

exports['default'] = bindToEndpoint;


}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"./DataSourceActions.js":2,"react-redux":undefined}],2:[function(require,module,exports){
'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.fetchError = fetchError;
exports.updateDataSource = updateDataSource;
exports.applyHeaders = applyHeaders;
exports.applyToken = applyToken;
exports.urlWithParams = urlWithParams;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _isomorphicFetch = require('isomorphic-fetch');

var _isomorphicFetch2 = _interopRequireDefault(_isomorphicFetch);

/*
 * Actions
 */

var DATASOURCE_REQUEST = 'DATASOURCE_REQUEST';
exports.DATASOURCE_REQUEST = DATASOURCE_REQUEST;
var DATASOURCE_RESPONSE = 'DATASOURCE_RESPONSE';
exports.DATASOURCE_RESPONSE = DATASOURCE_RESPONSE;
var DATASOURCE_ERROR = 'DATASOURCE_ERROR';
exports.DATASOURCE_ERROR = DATASOURCE_ERROR;
var FETCH_ERROR = 'FETCH_ERROR';

exports.FETCH_ERROR = FETCH_ERROR;
function dataSourceRequest(path, params) {
    return {
        type: DATASOURCE_REQUEST,
        path: path,
        params: params
    };
}

function dataSourceResponse(path, response, params) {
    return {
        type: DATASOURCE_RESPONSE,
        path: path,
        data: response.data,
        meta: response.meta,
        params: params
    };
}

function fetchError(response, id) {
    //logging, react-router pushState
    return {
        type: FETCH_ERROR,
        response: response,
        id: id
    };
}

/*
 * Action Creators
 */

function updateDataSource(path, newParams) {
    var endpoint = arguments.length <= 2 || arguments[2] === undefined ? '' : arguments[2];

    return function (dispatch, getState) {
        var state = getState();

        var token = state.auth.token;

        // We'll store the new filter/sort/page state in this variable until we can be sure the data source is successfully updated.
        var params = _extends({}, state.dataSources[path] ? state.dataSources[path].params : {}, newParams);

        var requestOptions = {
            method: 'GET',
            mode: 'cors',
            headers: {
                'Content-type': 'application/json',
                'Accept': 'application/json'
            }
        };

        dispatch(dataSourceRequest(path, params));

        return (0, _isomorphicFetch2['default'])(urlWithParams(path, params, endpoint), applyToken(requestOptions, token)).then(function (response) {
            return response.json();
        }).then(function (json) {
            dispatch(dataSourceResponse(path, json, params));
        })['catch'](function (response) {
            return dispatch(fetchError(response));
        });
    };
}

/**
 * Helper Functions
 */

function applyHeaders(request, headers) {
    return _extends({}, request, { headers: _extends({}, request.headers, headers) });
}

function applyToken(request, token) {
    return applyHeaders(request, { 'Authorization': 'Bearer ' + token });
}

function urlWithParams(path) {
    var params = arguments.length <= 1 || arguments[1] === undefined ? [] : arguments[1];
    var endpoint = arguments.length <= 2 || arguments[2] === undefined ? '' : arguments[2];

    var formattedParams = [];

    for (var key in params) {
        if (params.hasOwnProperty(key)) {
            formattedParams.push(key + '=' + params[key]);
        }
    }

    // If we have some params to add to the URL, append everything with a ?, otherwise
    // just return the url
    if (formattedParams.length == 0) {
        return buildUrl(endpoint, path);
    } else {
        return buildUrl(endpoint, path) + '?' + formattedParams.join('&');
    }
}

function buildUrl(base, path) {
    if (base.substr(-1) !== '/') {
        base = base + '/';
    }

    if (path.substr(0, 1) === '/') {
        path = path.substr(1);
    }

    return base + path;
}


},{"isomorphic-fetch":undefined}],3:[function(require,module,exports){
'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports['default'] = dataSources;

var _DataSourceActionsJs = require('./DataSourceActions.js');

var initialDataSourceState = {
    isFetching: false
};

function dataSources(state, action) {
    if (state === undefined) state = initialDataSourceState;

    switch (action.type) {
        case _DataSourceActionsJs.DATASOURCE_REQUEST:
            return _extends({}, state, {
                isFetching: true
            });

        case _DataSourceActionsJs.DATASOURCE_RESPONSE:
            var newState = {
                isFetching: false
            };

            newState[action.path] = {
                data: action.data,
                meta: action.meta,
                params: action.params
            };

            return _extends({}, state, newState);
    }

    return state;
}

module.exports = exports['default'];


},{"./DataSourceActions.js":2}],4:[function(require,module,exports){
(function (global){
'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _react = (typeof window !== "undefined" ? window['React'] : typeof global !== "undefined" ? global['React'] : null);

var _react2 = _interopRequireDefault(_react);

var _PaginationJs = require('./Pagination.js');

var _PaginationJs2 = _interopRequireDefault(_PaginationJs);

function ListView(title, Header, Row) {
    var pageSize = arguments.length <= 3 || arguments[3] === undefined ? 10 : arguments[3];

    var View = _react2['default'].createClass({
        displayName: 'View',

        getPagination: function getPagination() {
            if (pageSize) {
                return _react2['default'].createElement(
                    'tfoot',
                    null,
                    _react2['default'].createElement(
                        'tr',
                        null,
                        _react2['default'].createElement(
                            'td',
                            { colspan: '100' },
                            _react2['default'].createElement(_PaginationJs2['default'], { total: this.props.meta ? this.props.meta.total : 0, pageSize: pageSize, currentPage: this.props.params ? this.props.params.page : 0, update: this.props.update })
                        )
                    )
                );
            }

            return '';
        },

        render: function render() {
            var pagination = this.getPagination();

            return _react2['default'].createElement(
                'table',
                { className: 'col-lg-12 table table-striped table-hover' },
                _react2['default'].createElement(
                    'thead',
                    null,
                    _react2['default'].createElement(Header, null)
                ),
                _react2['default'].createElement(
                    'tbody',
                    null,
                    this.props.data.map(function (row, index) {
                        return _react2['default'].createElement(Row, { data: row, key: index });
                    })
                ),
                pagination
            );
        }
    });

    return View;
}

ListView.propTypes = {
    data: _react.PropTypes.array.isRequired,
    meta: _react.PropTypes.object.isRequired,
    params: _react.PropTypes.object.isRequired,
    update: _react.PropTypes.func.isRequired
};

exports['default'] = ListView;
module.exports = exports['default'];


}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"./Pagination.js":5}],5:[function(require,module,exports){
(function (global){
"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; desc = parent = undefined; continue _function; } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _react = (typeof window !== "undefined" ? window['React'] : typeof global !== "undefined" ? global['React'] : null);

var _react2 = _interopRequireDefault(_react);

var Pagination = (function (_Component) {
    _inherits(Pagination, _Component);

    function Pagination() {
        _classCallCheck(this, Pagination);

        _get(Object.getPrototypeOf(Pagination.prototype), "constructor", this).apply(this, arguments);
    }

    _createClass(Pagination, [{
        key: "getPageNumber",
        value: function getPageNumber() {
            if (this.props.currentPage) {
                return this.props.currentPage;
            }
            return 1;
        }
    }, {
        key: "previous",
        value: function previous() {
            var pageNumber = this.getPageNumber();

            if (pageNumber == 1) {
                return {
                    page: 1,
                    pageSize: this.props.pageSize
                };
            }

            return {
                page: pageNumber - 1,
                pageSize: this.props.pageSize
            };
        }
    }, {
        key: "next",
        value: function next() {
            var pageNumber = this.getPageNumber();

            if (pageNumber * this.props.pageSize > this.props.total) {
                return {
                    page: pageNumber,
                    pageSize: this.props.pageSize
                };
            }

            return {
                page: pageNumber + 1,
                pageSize: this.props.pageSize
            };
        }
    }, {
        key: "render",
        value: function render() {
            var _this = this;

            return _react2["default"].createElement(
                "div",
                { className: "wrapper border-top white-bg page-heading p-l-10" },
                _react2["default"].createElement(
                    "div",
                    { className: "btn-group pagination" },
                    _react2["default"].createElement(
                        "a",
                        { onClick: function () {
                                return _this.props.update(_this.previous());
                            }, className: "btn btn-white" },
                        _react2["default"].createElement("i", { className: "fa fa-chevron-left" })
                    ),
                    _react2["default"].createElement(
                        "a",
                        { onClick: function () {
                                return _this.props.update(_this.next());
                            }, className: "btn btn-white" },
                        _react2["default"].createElement("i", { className: "fa fa-chevron-right" })
                    )
                )
            );
        }
    }]);

    return Pagination;
})(_react.Component);

Pagination.propTypes = {
    total: _react.PropTypes.number,
    pageSize: _react.PropTypes.number,
    currentPage: _react.PropTypes.number,
    update: _react.PropTypes.func.isRequired
};

exports["default"] = Pagination;
module.exports = exports["default"];


}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],6:[function(require,module,exports){
'use strict';

module.exports = exports['default'] = {
    DataSource: {
        bind: require('./DataSource/DataSource.js'),
        reducer: require('./DataSource/DataSourceReducer.js')
    },
    ListView: require('./ListView/ListView.js')
};


},{"./DataSource/DataSource.js":1,"./DataSource/DataSourceReducer.js":3,"./ListView/ListView.js":4}]},{},[6])(6)
});