"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; desc = parent = undefined; continue _function; } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var Pagination = (function (_Component) {
    _inherits(Pagination, _Component);

    function Pagination() {
        _classCallCheck(this, Pagination);

        _get(Object.getPrototypeOf(Pagination.prototype), "constructor", this).apply(this, arguments);
    }

    _createClass(Pagination, [{
        key: "getPageNumber",
        value: function getPageNumber() {
            if (this.props.currentPage) {
                return this.props.currentPage;
            }
            return 1;
        }
    }, {
        key: "previous",
        value: function previous() {
            var pageNumber = this.getPageNumber();

            if (pageNumber == 1) {
                return {
                    page: 1,
                    pageSize: this.props.pageSize
                };
            }

            return {
                page: pageNumber - 1,
                pageSize: this.props.pageSize
            };
        }
    }, {
        key: "next",
        value: function next() {
            var pageNumber = this.getPageNumber();

            if (pageNumber * this.props.pageSize > this.props.total) {
                return {
                    page: pageNumber,
                    pageSize: this.props.pageSize
                };
            }

            return {
                page: pageNumber + 1,
                pageSize: this.props.pageSize
            };
        }
    }, {
        key: "render",
        value: function render() {
            var _this = this;

            return _react2["default"].createElement(
                "div",
                { className: "wrapper border-top white-bg page-heading p-l-10" },
                _react2["default"].createElement(
                    "div",
                    { className: "btn-group pagination" },
                    _react2["default"].createElement(
                        "a",
                        { onClick: function () {
                                return _this.props.update(_this.previous());
                            }, className: "btn btn-white" },
                        _react2["default"].createElement("i", { className: "fa fa-chevron-left" })
                    ),
                    _react2["default"].createElement(
                        "a",
                        { onClick: function () {
                                return _this.props.update(_this.next());
                            }, className: "btn btn-white" },
                        _react2["default"].createElement("i", { className: "fa fa-chevron-right" })
                    )
                )
            );
        }
    }]);

    return Pagination;
})(_react.Component);

Pagination.propTypes = {
    total: _react.PropTypes.number,
    pageSize: _react.PropTypes.number,
    currentPage: _react.PropTypes.number,
    update: _react.PropTypes.func.isRequired
};

exports["default"] = Pagination;
module.exports = exports["default"];